Publish Processor Version
curl --request POST \
--url https://api-prod.extend.app/v1/processors/:id/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"releaseType": "<string>",
"description": "<string>",
"config": {
"type": "<string>",
"baseProcessor": "<string>",
"baseVersion": "<string>",
"schema": {},
"fields": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"description": "<string>",
"schema": [
{}
],
"enum": [
{
"value": "<string>",
"description": "<string>"
}
]
}
],
"extractionRules": "<string>",
"advancedOptions": {
"fixedPageLimit": 123,
"splitMethod": "<string>",
"splitIdentifierRules": "<string>",
"splitExcelDocumentsBySheetEnabled": true
},
"classifications": [
{
"id": "<string>",
"type": "<string>",
"description": "<string>"
}
],
"classificationRules": "<string>",
"splitClassifications": [
{
"id": "<string>",
"type": "<string>",
"description": "<string>"
}
],
"splitRules": "<string>"
}
}
'import requests
url = "https://api-prod.extend.app/v1/processors/:id/publish"
payload = {
"releaseType": "<string>",
"description": "<string>",
"config": {
"type": "<string>",
"baseProcessor": "<string>",
"baseVersion": "<string>",
"schema": {},
"fields": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"description": "<string>",
"schema": [{}],
"enum": [
{
"value": "<string>",
"description": "<string>"
}
]
}
],
"extractionRules": "<string>",
"advancedOptions": {
"fixedPageLimit": 123,
"splitMethod": "<string>",
"splitIdentifierRules": "<string>",
"splitExcelDocumentsBySheetEnabled": True
},
"classifications": [
{
"id": "<string>",
"type": "<string>",
"description": "<string>"
}
],
"classificationRules": "<string>",
"splitClassifications": [
{
"id": "<string>",
"type": "<string>",
"description": "<string>"
}
],
"splitRules": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
releaseType: '<string>',
description: '<string>',
config: {
type: '<string>',
baseProcessor: '<string>',
baseVersion: '<string>',
schema: {},
fields: [
{
id: '<string>',
name: '<string>',
type: '<string>',
description: '<string>',
schema: [{}],
enum: [{value: '<string>', description: '<string>'}]
}
],
extractionRules: '<string>',
advancedOptions: {
fixedPageLimit: 123,
splitMethod: '<string>',
splitIdentifierRules: '<string>',
splitExcelDocumentsBySheetEnabled: true
},
classifications: [{id: '<string>', type: '<string>', description: '<string>'}],
classificationRules: '<string>',
splitClassifications: [{id: '<string>', type: '<string>', description: '<string>'}],
splitRules: '<string>'
}
})
};
fetch('https://api-prod.extend.app/v1/processors/:id/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"processorVersion": {
"object": "document_processor_version",
"id": "processor_version_5678",
"processorId": "processor_1234",
"processorType": "EXTRACT",
"description": "Updated extraction rules for invoice processing",
"version": "1.2.0",
"config": {
"fields": [
{
"id": "invoice_number",
"name": "invoice_number",
"description": "The invoice number",
"type": "string",
},
{
"id": "invoice_date",
"name": "invoice_date",
"description": "The date of the invoice",
"type": "date",
}
]
},
"createdAt": "2024-03-01T14:00:00Z",
"updatedAt": "2024-03-01T14:00:00Z"
}
}
Processor Endpoints
Publish Processor Version
Publish a new version of an existing processor in Extend.
Publish Processor Version
This endpoint allows you to publish a new version of an existing processor. Publishing a new version creates a snapshot of the processor’s current configuration and makes it available for use in workflows.
Publishing a new version does not automatically update existing workflows using this processor. You may need to manually update workflows to use the new version if desired.
Path Parameters
string
required
The ID of the processor to publish a new version for.
Body
string
required
The type of release for this version. The two options are: “major” and “minor”, which will increment the version number accordingly.
string
A description of the changes in this version. This helps track the evolution of the processor over time.
object
Optionally supply a config to be used in this published version. If not supplied, the config for your existing draft version will be used.
- Extraction
- Classification
- Splitter
Show properties
Show properties
string
required
Must be
"EXTRACT" for extraction processors.string
The base processor to use. For extractors, this is either
"extraction_performance" or "extraction_light". See the base processor documentation for more details.string
The version of the base processor to use (e.g.
"4.0.0"). If this is provided, baseProcessor must be provided as well. See the processor changelog for available versions.object
The schema that defines the structure of data to extract from documents. One of
schema or fields must be provided. We recommend using schema as fields is deprecated. See the extraction processor schema documentation for more details.array
deprecated
The schema that defines the structure of data to extract from documents. One of
schema or fields must be provided. We recommend using schema as fields is deprecated. See the extraction processor schema documentation for more details on using the fields shape.Show properties
Show properties
string
required
Unique identifier for the field.
string
required
Human-readable name for the field.
string
required
Type of the field. Supported values:
string: Text valuesnumber: Numeric valuescurrency: Monetary valuesboolean: True/false valuesdate: Date valuesarray: Lists of values (requires schema)enum: Values from a predefined list (requires enum)object: Nested structure (requires schema)signature: Signature information
string
required
Detailed description of the field, including expected content and format.
array
Required when type is “array” or “object”. Contains nested field definitions.
string
Custom rules to guide the extraction process in natural language.
object
Advanced configuration options.
Show properties
Show properties
number
Limit processing to a specific number of pages from the beginning of the document.
string
Provide a hint about the document type (e.g. “invoice”, “receipt”, etc.).
string
Define specific key terms or concepts relevant to the document type.
boolean
Enable model reasoning insights in the extraction results.
boolean
Enable advanced multimodal processing for better handling of visual elements.
boolean
Enable citation information for extracted fields.
boolean
Enable advanced parsing of figures and diagrams in the document.
object
Options for controlling document chunking.
Show properties
Show properties
string
Strategy for chunking the document. Supported values:
standard: Default chunking strategysemantic: Content-aware chunking based on document structure
string
Custom rules for semantic chunking in natural language.
number
Number of pages per chunk.
string
Strategy for selecting chunks. Supported values:
intelligent: AI-based selectionconfidence: Select based on confidence scoretake_first: Always use first chunktake_last: Always use last chunk
Show properties
Show properties
string
required
Must be
"CLASSIFY" for classification processors.string
The base processor to use. For classifiers, must be
"classification_performance" or "classification_light". See the base processor documentation for more details.string
The version of the base processor to use (e.g.
"3.2.0"). If this is provided, baseProcessor must be provided as well. See the processor changelog for available versions.array
required
string
Custom rules to guide the classification process in natural language.
object
Advanced configuration options.
Show properties
Show properties
string
required
Must be
"SPLITTER" for splitter processors.string
The base processor to use. For splitters, this can currently only be
"splitter_performance". See the base processor documentation for more details.string
The version of the base processor to use (e.g.
"1.0.0"). If this is provided, baseProcessor must be provided as well. See the processor changelog for available versions.array
required
string
Custom rules to guide the document splitting process in natural language.
object
Advanced configuration options.
Show properties
Show properties
number
Limit processing to a specific number of pages from the beginning of the document.
string
Method to use for splitting. Supported values:
high_precision: More accurate but potentially slowerlow_latency: Faster but potentially less precise
string
boolean
For Excel documents, split by worksheet.
Response
boolean
A true or false value indicating whether the processor version was published successfully or not.
ProcessorVersion
A ProcessorVersion object representing the newly published version of the processor. See the ProcessorVersion object for more details.
Error Responses
boolean
Will be
false if the request failed.string
A description of the error that occurred.
Common Errors
- 400 Bad Request: If the request body fails schema validation or if there’s an issue with the provided configuration, particularly when it comes to the
configwhich depends on the processor type.
{
"success": true,
"processorVersion": {
"object": "document_processor_version",
"id": "processor_version_5678",
"processorId": "processor_1234",
"processorType": "EXTRACT",
"description": "Updated extraction rules for invoice processing",
"version": "1.2.0",
"config": {
"fields": [
{
"id": "invoice_number",
"name": "invoice_number",
"description": "The invoice number",
"type": "string",
},
{
"id": "invoice_date",
"name": "invoice_date",
"description": "The date of the invoice",
"type": "date",
}
]
},
"createdAt": "2024-03-01T14:00:00Z",
"updatedAt": "2024-03-01T14:00:00Z"
}
}

